Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1104822

Upon login using an 'external' user. The user cannot do anything. I've even attempted to specify an external group, but there is no

context/location settings in the external group settings.

Related issues:

Has duplicate Foreman - Feature #13831: on the fly created user should have a... Duplicate 02/22/2016

Blocked by Foreman - Feature #6094: Ability to add usergroups to organizations New 06/06/2014

Follows Foreman - Feature #16624: Make auth sources taxable Closed 09/20/2016

Associated revisions

Revision 4db325b0 - 09/27/2016 03:04 AM - Daniel Lobato Garcia

Fixes #6372 - User inherits taxonomies from LDAP on creation

In an installation that uses taxonomies, when an user logs in for

the first time and gets its account created via LDAP, it has no

taxonomies.

This is a problem, as even if the user has all the roles it needs from

external user groups, an admin needs to manually set the taxonomies for

every new user.

This commit fixes that by assigning the taxonomies from the LDAP auth

source to the user when it logs in for the first time. It does not

update them on every login, as after the user has logged in, user

taxonomies are left to the Foreman administrator to manage.

History

#1 - 06/25/2014 07:44 AM - Dominic Cleal

- Tracker changed from Bug to Feature

- Category set to Organizations and Locations

- Assignee deleted (Dominic Cleal)

#2 - 06/25/2014 07:45 AM - Dominic Cleal

- Blocked by Feature #6094: Ability to add usergroups to organizations added

#3 - 01/15/2015 08:03 AM - Tom Caspy

- Status changed from New to Ready For Testing

- Assignee set to Tom Caspy

- Pull request https://github.com/theforeman/foreman/pull/2088 added

#4 - 02/17/2016 10:35 AM - Dominic Cleal
- Status changed from Ready For Testing to New

- Assignee deleted (Tom Caspy)

- Pull request deleted (https://github.com/theforeman/foreman/pull/2088)

PR was closed.

#5 - 02/22/2016 05:44 AM - Dominic Cleal

- Has duplicate Feature #13831: on the fly created user should have an optional default org / location. added

#6 - 08/10/2016 06:46 AM - Daniel Lobato Garcia

- Target version set to 117

#7 - 08/10/2016 07:52 AM - Daniel Lobato Garcia

- Target version changed from 117 to 1.6.2

#8 - 09/14/2016 07:22 AM - Daniel Lobato Garcia

- Target version changed from 1.6.2 to 117

#9 - 09/20/2016 03:37 PM - Daniel Lobato Garcia

- Follows Feature #16624: Make auth sources taxable added

#10 - 09/21/2016 03:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3869 added

#11 - 09/27/2016 04:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4db325b086b765b8a0345e27f02ab941eeb10a42.

#12 - 09/27/2016 05:05 AM - Dominic Cleal

- translation missing: en.field_release set to 189

#13 - 10/04/2016 10:02 AM - Daniel Lobato Garcia

- Target version changed from 117 to 1.5.2
